﻿using System;
using System.Collections.Generic;
using System.Globalization;
using Syncfusion.SfCalendar.XForms;
using Xamarin.Forms;

namespace CalendarCustomInline
{
	public partial class CalendarCustomInlinePage : ContentPage
	{
		CalendarEventCollection Appointments = new CalendarEventCollection();
		List<CustomInlineEvent> AppointmentsColection = new List<CustomInlineEvent>();
		public CalendarCustomInlinePage()
		{
			InitializeComponent();
			Appointments.Add(new CustomInlineEvent() { Subject = "Review meeting",StartTime=new System.DateTime(2017, 8, 1, 10, 30, 00),EndTime=new System.DateTime(2017, 8, 1, 11, 00, 00),MeetingTime="30m",Location="Conference Room"});
			Appointments.Add(new CustomInlineEvent() { Subject = "Client meeting", StartTime = new System.DateTime(2017, 8, 3, 10, 30, 00), EndTime = new System.DateTime(2017, 8, 3, 11, 00, 00), MeetingTime = "30m", Location = "Conference Room" });
			Appointments.Add(new CustomInlineEvent() { Subject = "Project Demo", StartTime = new System.DateTime(2017, 8, 3, 10, 30, 00), EndTime = new System.DateTime(2017, 8, 3, 11, 00, 00), MeetingTime = "30m", Location = "Conference Room" });
			Appointments.Add(new CustomInlineEvent() { Subject = "Rating Discussion", StartTime = new System.DateTime(2017, 8, 3, 10, 30, 00), EndTime = new System.DateTime(2017, 8, 3, 11, 00, 00), MeetingTime = "30m", Location = "Conference Room" });
			Appointments.Add(new CustomInlineEvent() { Subject = "Client meeting", StartTime = new System.DateTime(2017, 8, 11, 10, 30, 00), EndTime = new System.DateTime(2017, 8, 11, 11, 00, 00), MeetingTime = "30m", Location = "Conference Room" });
			Appointments.Add(new CustomInlineEvent() { Subject = "Meeting with clara", StartTime = new System.DateTime(2017, 8, 13, 10, 30, 00), EndTime = new System.DateTime(2017, 8, 13, 11, 00, 00), MeetingTime = "30m", Location = "Conference Room" });
			Appointments.Add(new CustomInlineEvent() { Subject = "Review meeting", StartTime = new System.DateTime(2017, 8, 15, 10, 30, 00), EndTime = new System.DateTime(2017, 8, 17, 11, 00, 00), MeetingTime = "30m", Location = "Conference Room" });
			Appointments.Add(new CustomInlineEvent() { Subject = "Meeting with clara", StartTime = new System.DateTime(2017, 8, 17, 10, 30, 00), EndTime = new System.DateTime(2017, 8, 17, 11, 00, 00), MeetingTime = "30m", Location = "Conference Room" });
			Appointments.Add(new CustomInlineEvent() { Subject = "Review meeting", StartTime = new System.DateTime(2017, 8, 19, 10, 30, 00), EndTime = new System.DateTime(2017, 8, 19, 11, 00, 00), MeetingTime = "30m", Location = "Conference Room" });
			Appointments.Add(new CustomInlineEvent() { Subject = "Meeting with raj", StartTime = new System.DateTime(2017, 8, 21, 10, 30, 00), EndTime = new System.DateTime(2017, 8, 21, 11, 00, 00), MeetingTime = "30m", Location = "Conference Room" });
			Appointments.Add(new CustomInlineEvent() { Subject = "Review meeting", StartTime = new System.DateTime(2017, 8, 23, 10, 30, 00), EndTime = new System.DateTime(2017, 8, 21, 11, 00, 00), MeetingTime = "30m", Location = "Conference Room" });
			Appointments.Add(new CustomInlineEvent() { Subject = "Project demo", StartTime = new System.DateTime(2017, 8, 25, 10, 30, 00), EndTime = new System.DateTime(2017, 8, 21, 11, 00, 00), MeetingTime = "30m", Location = "Conference Room" });
			Appointments.Add(new CustomInlineEvent() { Subject = "Rating Discussion", StartTime = new System.DateTime(2017, 8, 27, 10, 30, 00), EndTime = new System.DateTime(2017, 8, 27, 11, 00, 00), MeetingTime = "30m", Location = "Conference Room" });
			calendar.DataSource = Appointments;
			//AppointmentsColection = Appointments;
			lstView.ItemsSource=(GetSelectedDateAppointments(DateTime.Now.Date));
			calendar.SelectionChanged += Calendar_SelectionChanged;
		}


		CalendarEventCollection GetSelectedDateAppointments(DateTime date)
		{
			CalendarEventCollection selectedDateAppointments = new CalendarEventCollection();
			for (int i = 0; i < Appointments.Count; i++)
			{
				DateTime startDate = Appointments[i].StartTime;

				if (date.Day == startDate.Day && date.Month == startDate.Month && date.Year == startDate.Year)
				{
					selectedDateAppointments.Add(Appointments[i]);
				}
			}
			return selectedDateAppointments;
		}

		void Calendar_SelectionChanged(object sender, SelectionChangedEventArgs args)
		{
			lstView.ItemsSource= (GetSelectedDateAppointments(calendar.SelectedDate));
		}
	}

	public class DateTimeToStringConverter : IValueConverter
	{
		
		object IValueConverter.Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			DateTime time = Convert.ToDateTime(value);
			return time.ToString("t");

		}

		object IValueConverter.ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
